#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	bcg729
Version		:	1.1.1
Release		:	14.8.0.0%{?dist}
Summary		:	encoder and decoder of the ITU G729 speech codec
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL-3.0
URL		:	https://github.com/BelledonneCommunications/bcg729

Source0		:	%{name}-%{version}.tar.gz
patch0		:	%{name}-%{version}-cmakedir.patch
#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS.md README.md
%{_includedir}/%{name}/*coder.h
%{_libdir}/lib%{name}.so*
%{_libdir}/pkgconfig/lib%{name}.pc
%{_libdir}/cmake/Bcg729/Bcg729*.cmake

#-----------------------------------------------------------------------------
%description
Bcg729 is an opensource implementation of both encoder
and decoder of the ITU G729 Annex A/B speech codec.

The library written in C 99 is fully portable and can
be executed on many platforms including both ARM and
x86 processors. libbcg729 supports concurrent channels
encoding/decoding for multi call application such as
conferencing.


#-----------------------------------------------------------------------------
%prep
%setup -q
%patch -P 0 -p1

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	.						\
	-D CMAKE_INSTALL_PREFIX:PATH=%{_prefix}		\
	-D ENABLE_SHARED=YES				\
	-D ENABLE_STATIC=NO

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
	
#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
